
int checkdoj(char tempdoj[]){
int day,month,year;
char a,b;
int invalid=0;
sscanf(tempdoj,"%2d %1c %2d %1c %4d",&day,&a,&month,&b,&year);
//First check whether day is within a range of 1 to 31. If not, mark it as an invalid
if(day > 31 || day < 1)
	invalid = 1;
else
{
 	// Check whether month is within a range of 1 to 12. If not, mark it as an invalid
	if(month > 12 || month < 1)
		invalid = 1;
	else
        {
		//Check day-limit monthwise
		switch(month)
		{

			case 4:
			case 6:
			case 9:
			case 11:	
					if(day > 30)
						invalid = 1;
					
					break;
			case 2:
					if(year % 4 == 0 && (year % 100 != 0 || year % 400 == 0 )) // Check whether a year is a leap year or not.
					{
						// given year is a leap year.
						if(day > 29)
							invalid = 1;
					}	
					else if(day > 28)
						invalid = 1;
					
					break;
			case 1:
			case 3:
			case 5:
			case 7:
			case 8:
			case 10:
			case 12:
					if(day > 31)
						invalid = 1;					
					break;
			default:
					invalid = 1;
					break;
		}

	}
}

if(invalid == 1)
{
	cout << "Given date is invalid"<<endl;
	return 1;
	}
else
return 0;
}
